Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Data Fields | Protected Attributes
Lucene::SegmentMergeInfo Class Reference

`#include <SegmentMergeInfo.h>`

Inheritance diagram for Lucene::SegmentMergeInfo:

## Public Member Functions

| SegmentMergeInfo (int32_t b, TermEnumPtr te, IndexReaderPtr r)
virtual | ~SegmentMergeInfo ()
virtual String | getClassName ()
boost::shared_ptr < SegmentMergeInfo > | shared_from_this ()
Collection< int32_t > | getDocMap ()
TermPositionsPtr | getPositions ()
bool | next ()
void | close ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()

## Data Fields

TermPtr | term
int32_t | base
int32_t | ord
TermEnumPtr | termEnum
IndexReaderWeakPtr | _reader
int32_t | delCount

## Protected Attributes

TermPositionsPtr | postings
Collection< int32_t > | docMap

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Constructor & Destructor Documentation

Lucene::SegmentMergeInfo::SegmentMergeInfo | ( | int32_t | b,
|  | TermEnumPtr | te,
|  | IndexReaderPtr | r
| ) |  |

virtual Lucene::SegmentMergeInfo::~SegmentMergeInfo | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::SegmentMergeInfo::_getClassName | ( | ) |  |

inline static

void Lucene::SegmentMergeInfo::close | ( | ) |  |

virtual String Lucene::SegmentMergeInfo::getClassName | ( | ) |  |

inline virtual

Collection<int32_t> Lucene::SegmentMergeInfo::getDocMap | ( | ) |  |

TermPositionsPtr Lucene::SegmentMergeInfo::getPositions | ( | ) |  |

bool Lucene::SegmentMergeInfo::next | ( | ) |  |

boost::shared_ptr< SegmentMergeInfo > Lucene::SegmentMergeInfo::shared_from_this | ( | ) |  |

inline

## Field Documentation

IndexReaderWeakPtr Lucene::SegmentMergeInfo::_reader

int32_t Lucene::SegmentMergeInfo::base

int32_t Lucene::SegmentMergeInfo::delCount

Collection<int32_t> Lucene::SegmentMergeInfo::docMap

protected

int32_t Lucene::SegmentMergeInfo::ord

TermPositionsPtr Lucene::SegmentMergeInfo::postings

protected

TermPtr Lucene::SegmentMergeInfo::term

TermEnumPtr Lucene::SegmentMergeInfo::termEnum

The documentation for this class was generated from the following file:

- SegmentMergeInfo.h

clucene.sourceforge.net